Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Apr 2020 12:28:34 +0300

> From: João Távora <[email-masked]>
> Date: Sat, 18 Apr 2020 09:26:59 +0100
> Cc: Stefan Monnier <[email-masked]>, Juri Linkov <[email-masked]>, [email-masked], 
> 	Dmitry Gutov <[email-masked]>
> 
> I've put "the code" in a branch in our repo, called 'scratch/add-lisp-data'.

Thanks.  The backward-incompatible change in lisp-mode-variables is
something I'd like to avoid.  Is it really necessary?

Also, what about .dir-locals-2.el?

The tramp-persistency-file-name has a known fixed file name; why not
add it to auto-mod-alist?  Likewise with eww's eww-bookmarks and
saveplace's save-place-file (2 standard names).  I also think we have
many more similar Lisp data files mentioned in the core alone: I see a
lot if I grep the Lisp files for "~/".